Shell (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.tools.shell

## [Groovy] Class Shell

- org.codehaus.groovy.tools.shell.Shell

- A simple shell for invoking commands from a command-line.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `IO` | `io`
    `CommandRegistry` | `registry`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Shell (IO io)`
    `Shell ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `execute(String line)`
    `` | `Command` | `findCommand(String line, List<String> parsedArgs = null)` @param line the line to parse
    `` | `boolean` | `isExecutable(String line)`
    `` | `def` | `leftShift(String line)` this should probably be deprecated
    `` | `Command` | `leftShift(Command command)`
    `` | `Command` | `register(Command command)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### final IO io

    - #### final CommandRegistry registry

  - ### Constructor Detail

    - #### Shell(IO io)

    - #### Shell()

  - ### Method Detail

    - #### Object execute(String line)

    - #### Command findCommand(String line, List<String> parsedArgs = null)

      Parameters:
        `line` - the line to parse
        `parsedArgs` - accumulate the rest of the line after the command

    - #### boolean isExecutable(String line)

    - #### def leftShift(String line)

      this should probably be deprecated

    - #### Command leftShift(Command command)

    - #### Command register(Command command)